Last-Modified: Wed, 13 Nov 2024 01:51:54 GMT
Expires: Sat, 11 Nov 2034 01:51:54 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>README.ENV - mod_gnutls - mod_gnutls</title>
<meta name='generator' content='cgit '/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-data/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.outoforder.cc/httpd/mod_gnutls/atom/README.ENV?h=0.5.10' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.outoforder.cc/httpd/mod_gnutls' title='mod_gnutls Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit-data/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a title='mod_gnutls' href='/httpd/mod_gnutls/'>mod_gnutls</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='ae4a2b0a8b10e98f2c74163f33a27be704ded09f'/><select name='h' onchange='this.form.submit();'>
<option value='0.2.x'>0.2.x</option>
<option value='0.4.x'>0.4.x</option>
<option value='master'>master</option>
<option value='ooo-pages'>ooo-pages</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>mod_gnutls</td><td class='sub right'>Apache</td></tr></table>
<table class='tabs'><tr><td>
<a href='/httpd/mod_gnutls/about/?h=0.5.10'>about</a><a href='/httpd/mod_gnutls/?h=0.5.10'>summary</a><a href='/httpd/mod_gnutls/refs/?h=0.5.10&amp;id=ae4a2b0a8b10e98f2c74163f33a27be704ded09f'>refs</a><a href='/httpd/mod_gnutls/log/README.ENV?h=0.5.10'>log</a><a class='active' href='/httpd/mod_gnutls/tree/README.ENV?h=0.5.10&amp;id=ae4a2b0a8b10e98f2c74163f33a27be704ded09f'>tree</a><a href='/httpd/mod_gnutls/commit/README.ENV?h=0.5.10&amp;id=ae4a2b0a8b10e98f2c74163f33a27be704ded09f'>commit</a><a href='/httpd/mod_gnutls/diff/README.ENV?h=0.5.10&amp;id=ae4a2b0a8b10e98f2c74163f33a27be704ded09f'>diff</a><a href='/httpd/mod_gnutls/stats/README.ENV?h=0.5.10'>stats</a></td><td class='form'><form class='right' method='get' action='/httpd/mod_gnutls/log/README.ENV'>
<input type='hidden' name='h' value='0.5.10'/><input type='hidden' name='id' value='ae4a2b0a8b10e98f2c74163f33a27be704ded09f'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/httpd/mod_gnutls/tree/?h=0.5.10&amp;id=ae4a2b0a8b10e98f2c74163f33a27be704ded09f'>root</a>/<a href='/httpd/mod_gnutls/tree/README.ENV?h=0.5.10&amp;id=ae4a2b0a8b10e98f2c74163f33a27be704ded09f'>README.ENV</a></div><div class='content'>blob: c055dfed539ff1ced88730395c4232dc7ab596ca (<a href='/httpd/mod_gnutls/plain/README.ENV?h=0.5.10&amp;id=ae4a2b0a8b10e98f2c74163f33a27be704ded09f'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
</pre></td>
<td class='lines'><pre><code>All the environment variables set by this module are:

HTTPS: can be &quot;on&quot; or &quot;off&quot;
SSL_VERSION_LIBRARY: The version of the gnutls library
SSL_VERSION_INTERFACE: The version of this module
SSL_PROTOCOL: The SSL or TLS protocol name (such as &quot;TLS 1.0&quot; etc.)
SSL_CIPHER: The SSL or TLS cipher suite name.
SSL_COMPRESS_METHOD: The negotiated compression method (NULL or DEFLATE)
SSL_SRP_USER: The SRP username used for authentication.
SSL_CIPHER_USEKEYSIZE and SSL_CIPHER_ALGKEYSIZE: The number if bits used in the used cipher
  algorithm. This does not fully reflect the security level since the size of 
  RSA or DHE key exchange parameters affect the security level too.
SSL_CIPHER_EXPORT: true or false. Whether the cipher suite negotiated is an export one.
SSL_SESSION_ID: The session ID negotiated in this session. Can be the same during
  client reloads.

SSL_CLIENT_V_REMAIN: The number of days until the client&#39;s certificate is expired.
SSL_CLIENT_V_START: The activation time of client&#39;s certificate.
SSL_CLIENT_V_END: The expiration time of client&#39;s certificate.
SSL_CLIENT_S_DN: The distinguished name of client&#39;s certificate in RFC2253 format.
SSL_CLIENT_I_DN: The distinguished name of client&#39;s issuer certificate in RFC2253 format.
SSL_CLIENT_S_SAN%: These will contain the alternative names of the client certificate 
  (% is a number starting from zero). The values will be prepended by &quot;DNSNAME:&quot;, 
  &quot;RFC822NAME:&quot; or &quot;URI:&quot; depending on the type. If it is not supported the value 
  &quot;UNSUPPORTED&quot; will be set.
SSL_CLIENT_M_SERIAL: The serial number of the client&#39;s certificate.
SSL_CLIENT_M_VERSION: The version of the client&#39;s certificate.
SSL_CLIENT_A_SIG: The algorithm used for the signature in client&#39;s certificate.
SSL_CLIENT_A_KEY: The public key algorithm in client&#39;s certificate.
SSL_CLIENT_CERT: The PEM-encoded client certificate
SSL_CLIENT_VERIFY: 
  whether the client&#39;s certificate was verified. (NONE if none was sent, or SUCCESS or FAILED)
SSL_CLIENT_S_TYPE: The certificate type can be X.509 or OPENPGP.

SSL_SERVER_V_START: The activation time of server&#39;s certificate.
SSL_SERVER_V_END: The expiration time of server&#39;s certificate.
SSL_SERVER_S_DN: The distinguished name of the server&#39;s certificate in RFC2253 format.
SSL_SERVER_I_DN: The distinguished name of the server&#39;s issuer certificate in RFC2253 format.
SSL_SERVER_S_SAN%: These will contain the alternative names of the server certificate 
  (% is a number starting from zero). The values will be prepended by &quot;DNSNAME:&quot;, 
  &quot;RFC822NAME:&quot; or &quot;URI:&quot; depending on the type. If it is not supported the value 
  &quot;UNSUPPORTED&quot; will be set.
SSL_SERVER_M_SERIAL: The serial number of the server&#39;s certificate.
SSL_SERVER_M_VERSION: The version of the server&#39;s certificate.
SSL_SERVER_A_SIG: The algorithm used for the signature in server&#39;s certificate.
SSL_SERVER_A_KEY: The public key algorithm in server&#39;s certificate.
SSL_SERVER_CERT: The PEM-encoded server certificate
SSL_SERVER_S_TYPE: The certificate type can be X.509 or OPENPGP.

</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit </a> (<a href='https://git-scm.com/'>git 2.34.1</a>) at 2024-11-13 01:51:54 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
mod...</a></td><td><img src='//www.gravatar.com/avatar/2092020215ed16734303313137bf2ce2?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Edward Rudd
</td><td><span title='2004-01-20 20:33:20 +0000'>2004-01-20</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/httpd/mod_log_sql/commit/Makefile.in?h=1.97&amp;id=40f0c8fe04858acd724d6221dbf8a357259e5d6b'>split out version specific code</a></td><td><img src='//www.gravatar.com/avatar/2092020215ed16734303313137bf2ce2?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Edward Rudd
</td><td><span title='2004-01-20 16:27:35 +0000'>2004-01-20</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/httpd/mod_log_sql/commit/Makefile.in?h=1.97&amp;id=417afc1671669fc9ba79410546c6ddfe242f2f4a'>fixed SSL cflag inclusion</a><span class='decoration'><a class='tag-deco' href='/httpd/mod_log_sql/tag/?h=1.92'>1.92</a></span></td><td><img src='//www.gravatar.com/avatar/2092020215ed16734303313137bf2ce2?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Edward Rudd
</td><td><span title='2004-01-06 00:45:57 +0000'>2004-01-06</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/httpd/mod_log_sql/commit/Makefile.in?h=1.97&amp;id=60f9107f5a4e68f6a4f22721cc4f43fb8575807f'>update m4 files</a></td><td><img src='//www.gravatar.com/avatar/2092020215ed16734303313137bf2ce2?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Edward Rudd
</td><td><span title='2004-01-06 00:32:46 +0000'>2004-01-06</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/httpd/mod_log_sql/commit/Makefile.in?h=1.97&amp;id=e2dfccb52240fd943ec6f1f2b8260f86d24d4cd2'>update apache.m4 to use -with-apxs instead of --with-apache</a></td><td><img src='//www.gravatar.com/avatar/2092020215ed16734303313137bf2ce2?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Edward Rudd
</td><td><span title='2004-01-04 03:23:22 +0000'>2004-01-04</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/httpd/mod_log_sql/commit/Makefile.in?h=1.97&amp;id=6ef1e350f38e04bbe97bf211793d86bb5be9d1e8'>removed -n parameter to apxs as it isn\'t needed for this module</a></td><td><img src='//www.gravatar.com/avatar/2092020215ed16734303313137bf2ce2?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Edward Rudd
</td><td><span title='2003-12-30 21:12:53 +0000'>2003-12-30</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/httpd/mod_log_sql/commit/Makefile.in?h=1.97&amp;id=ab1ac8ba7570005c169e7aa772762b55d354e07d'>update autoconf scripts to check MySQL..</a><span class='decoration'><a class='tag-deco' href='/httpd/mod_log_sql/tag/?h=1.91'>1.91</a></span></td><td><img src='//www.gravatar.com/avatar/2092020215ed16734303313137bf2ce2?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Edward Rudd
</td><td><span title='2003-12-23 19:49:56 +0000'>2003-12-23</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/httpd/mod_log_sql/commit/Makefile.in?h=1.97&amp;id=f89b2cced3608b248cb02b2e48907dcae07e8bbe'>compiles and loads under apache2.0</a></td><td><img src='//www.gravatar.com/avatar/2092020215ed16734303313137bf2ce2?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Edward Rudd
</td><td><span title='2003-12-22 04:45:38 +0000'>2003-12-22</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/httpd/mod_log_sql/commit/Makefile.in?h=1.97&amp;id=5d05a57139672acc5c491116a5f0cd45b2e16bb3'>CVS headers added</a></td><td><img src='//www.gravatar.com/avatar/2092020215ed16734303313137bf2ce2?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Edward Rudd
</td><td><span title='2003-12-21 17:45:51 +0000'>2003-12-21</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/httpd/mod_log_sql/commit/Makefile.in?h=1.97&amp;id=47f10cbf0f6425405d66323da56315ea5d1e8108'>added autoconfig files</a></td><td><img src='//www.gravatar.com/avatar/2092020215ed16734303313137bf2ce2?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Edward Rudd
</td><td><span title='2003-12-20 07:48:29 +0000'>2003-12-20</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/httpd/mod_log_sql/commit/Makefile.in?h=1.97&amp;id=4f4926ce12f15fc65df8fa1bfbfef1dfce61dbd9'>Initial revision</a></td><td><img src='//www.gravatar.com/avatar/2092020215ed16734303313137bf2ce2?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Edward Rudd
</td><td><span title='2003-12-20 07:16:04 +0000'>2003-12-20</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/httpd/mod_log_sql/commit/Makefile.in?h=1.97&amp;id=6cefab259d0b783b85df4518d0d48dab0e11389b'>Changes on the way to 1.19.  This is probably going to be 1.19b1.  Detail:</a><span class='decoration'><a class='tag-deco' href='/httpd/mod_log_sql/tag/?h=1.19b1'>1.19b1</a></span></td><td><img src='//www.gravatar.com/avatar/fbd202f8e0547844a0d9109eb57a820e?s=13&amp;d=retro' width='13' height='13' alt='Gravatar' /> Christopher Powell
</td><td><span title='2003-07-22 04:17:59 +0000'>2003-07-22</span></td></tr>
</table><ul class='pager'></ul></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit </a> (<a href='https://git-scm.com/'>git 2.34.1</a>) at 2024-11-13 01:51:54 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
